OGRE-Next: Ogre::BooleanMask4 Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | List of all members
Ogre::BooleanMask4 Class Reference

`#include <OgreBooleanMask.h>`

## Public Types
enum | { MASK_NONE = 0 , MASK_X = 1 , MASK_Y = 2 , MASK_XY = 3 , MASK_Z = 4 , MASK_XZ = 5 , MASK_YZ = 6 , MASK_XYZ = 7 , MASK_W = 8 , MASK_XW = 9 , MASK_YW =10 , MASK_XYW =11 , MASK_ZW =12 , MASK_XZW =13 , MASK_YZW =14 , MASK_XYZW =15 , NUM_MASKS = 2 }
enum | { MASK_NONE = 0 , MASK_X = 1 , NUM_MASKS = 2 }
enum | { MASK_NONE = 0 , MASK_X = 1 , MASK_Y = 2 , MASK_XY = 3 , MASK_Z = 4 , MASK_XZ = 5 , MASK_YZ = 6 , MASK_XYZ = 7 , MASK_W = 8 , MASK_XW = 9 , MASK_YW =10 , MASK_XYW =11 , MASK_ZW =12 , MASK_XZW =13 , MASK_YZW =14 , MASK_XYZW =15 , NUM_MASKS = 2 }

## Static Public Member Functions
static bool | allBitsSet (bool mask0[1], bool mask1[1])
| Returns true if alls bit in mask0[i] and mask1[i] are set.
static bool | allBitsSet (bool mask0[4], bool mask1[4])
| Returns true if alls bit in mask0[i] and mask1[i] are set.
static bool | allBitsSet (bool mask0[4], bool mask1[4])
| Returns true if alls bit in mask0[i] and mask1[i] are set.
static ArrayMaskR | getAllSetMask ()
static ArrayMaskR | getAllSetMask ()
static ArrayMaskR | getAllSetMask ()
static ArrayMaskR | getMask (bool booleans[1])
static ArrayMaskR | getMask (bool booleans[4])
static ArrayMaskR | getMask (bool booleans[ARRAY_PACKED_REALS])
static ArrayMaskR | getMask (bool x)
static ArrayMaskR | getMask (bool x, bool y, bool z, bool w)
static ArrayMaskR | getMask (bool x, bool y, bool z, bool w)
static uint32 | getScalarMask (ArrayInt mask)
static uint32 | getScalarMask (ArrayInt mask)
static uint32 | getScalarMask (ArrayMaskR mask)
| Converts a SIMD mask into a mask that fits in 32-bit number.
static uint32 | getScalarMask (ArrayMaskR mask)
| Converts a SIMD mask into a mask that fits in 32-bit number.
static uint32 | getScalarMask (ArrayMaskR mask)
| Converts a SIMD mask into a mask that fits in 32-bit number.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
MASK_NONE |
MASK_X |
MASK_Y |
MASK_XY |
MASK_Z |
MASK_XZ |
MASK_YZ |
MASK_XYZ |
MASK_W |
MASK_XW |
MASK_YW |
MASK_XYW |
MASK_ZW |
MASK_XZW |
MASK_YZW |
MASK_XYZW |
NUM_MASKS |

## ◆ anonymous enum

anonymous enum

Enumerator
MASK_NONE |
MASK_X |
NUM_MASKS |

## ◆ anonymous enum

anonymous enum

Enumerator
MASK_NONE |
MASK_X |
MASK_Y |
MASK_XY |
MASK_Z |
MASK_XZ |
MASK_YZ |
MASK_XYZ |
MASK_W |
MASK_XW |
MASK_YW |
MASK_XYW |
MASK_ZW |
MASK_XZW |
MASK_YZW |
MASK_XYZW |
NUM_MASKS |

## Member Function Documentation

## ◆ allBitsSet() [1/3]

static bool Ogre::BooleanMask4::allBitsSet | ( | bool | mask0[1],
|  | bool | mask1[1] )
| inlinestatic

Returns true if alls bit in mask0[i] and mask1[i] are set.

## ◆ allBitsSet() [2/3]

static bool Ogre::BooleanMask4::allBitsSet | ( | bool | mask0[4],
|  | bool | mask1[4] )
| inlinestatic

Returns true if alls bit in mask0[i] and mask1[i] are set.

## ◆ allBitsSet() [3/3]

static bool Ogre::BooleanMask4::allBitsSet | ( | bool | mask0[4],
|  | bool | mask1[4] )
| inlinestatic

Returns true if alls bit in mask0[i] and mask1[i] are set.

## ◆ getAllSetMask() [1/3]

static ArrayMaskR Ogre::BooleanMask4::getAllSetMask | ( |  | ) |
| inlinestatic

## ◆ getAllSetMask() [2/3]

static ArrayMaskR Ogre::BooleanMask4::getAllSetMask | ( |  | ) |
| inlinestatic

## ◆ getAllSetMask() [3/3]

static ArrayMaskR Ogre::BooleanMask4::getAllSetMask | ( |  | ) |
| inlinestatic

## ◆ getMask() [1/6]

static ArrayMaskR Ogre::BooleanMask4::getMask | ( | bool | booleans[1] | ) |
| inlinestatic

## ◆ getMask() [2/6]

static ArrayMaskR Ogre::BooleanMask4::getMask | ( | bool | booleans[4] | ) |
| inlinestatic

## ◆ getMask() [3/6]

static ArrayMaskR Ogre::BooleanMask4::getMask | ( | bool | booleans[ARRAY_PACKED_REALS] | ) |
| inlinestatic

References ARRAY_PACKED_REALS.

## ◆ getMask() [4/6]

static ArrayMaskR Ogre::BooleanMask4::getMask | ( | bool | x | ) |
| inlinestatic

## ◆ getMask() [5/6]

static ArrayMaskR Ogre::BooleanMask4::getMask | ( | bool | x,
|  | bool | y,
|  | bool | z,
|  | bool | w )
| inlinestatic

## ◆ getMask() [6/6]

static ArrayMaskR Ogre::BooleanMask4::getMask | ( | bool | x,
|  | bool | y,
|  | bool | z,
|  | bool | w )
| inlinestatic

## ◆ getScalarMask() [1/5]

static uint32 Ogre::BooleanMask4::getScalarMask | ( | ArrayInt | mask | ) |
| inlinestatic

## ◆ getScalarMask() [2/5]

static uint32 Ogre::BooleanMask4::getScalarMask | ( | ArrayInt | mask | ) |
| inlinestatic

## ◆ getScalarMask() [3/5]

static uint32 Ogre::BooleanMask4::getScalarMask | ( | ArrayMaskR | mask | ) |
| inlinestatic

Converts a SIMD mask into a mask that fits in 32-bit number.

Remarks
  See IS_SET_MASK_X & co. to read the mask, since the result may need byteswapping in some architectures (i.e. SSE2)

## ◆ getScalarMask() [4/5]

static uint32 Ogre::BooleanMask4::getScalarMask | ( | ArrayMaskR | mask | ) |
| inlinestatic

Converts a SIMD mask into a mask that fits in 32-bit number.

Remarks
  See IS_SET_MASK_X & co. to read the mask, since the result may need byteswapping in some architectures (i.e. SSE2)

## ◆ getScalarMask() [5/5]

static uint32 Ogre::BooleanMask4::getScalarMask | ( | ArrayMaskR | mask | ) |
| inlinestatic

Converts a SIMD mask into a mask that fits in 32-bit number.

Remarks
  See IS_SET_MASK_X & co. to read the mask, since the result may need byteswapping in some architectures (i.e. SSE2)

The documentation for this class was generated from the following files:

- C/OgreBooleanMask.h
- NEON/Single/OgreBooleanMask.h
- SSE2/Single/OgreBooleanMask.h